Owl Carousel Latest version

Hi, i found out that the UB Content Slider (Magento 2) is currently using very old version of owl carousel(version 1) javascript. Currently my ecommerce site is using owl carousel version 2 on other 3rd party module. And both different version crashed the module. Is there any updated version of  UB Content Slider which is using version 2 owl slider?

12 answers

Profile photo of ubdev Staff 46660.00 $tone September 12, 2019
Public

Hi there, 
 
At present, Magento 2 makes it possible to use different js library on the same instance. So you can keep both carousel versions 1 & 2 in place. For example, we implement both owlcarousel version 1 & 2 on our UB Trex Pro demo: http://trex-pro.com/s1/crew-neck-t-shirt-crew.html (The related section is based on owlcarousel 2 while our UB Content Slider module remains to be under owlcarousel v1). 
 
In case you run across any issue on your instance, please let us know, we will take a closer look. 
 
Regards,
Ubertheme team
 

#1
Profile photo of kanasaikuat 90.00 $tone September 12, 2019
Public

Hi, here’re the example of using both OWL Carousel V1 & V2.

  1. Module ‘Magezon TabsPro (Owl Carousel V2)’ without Ubertheme Content Slider enabled. Image and slider is working fine.
    http://prntscr.com/p51319
  2. Module ‘Magezon TabsPro (Owl Carousel V2)’ and ‘Ubertheme Content Slider (Owl Carousel V1)’, but Magezon TabsPro crashed with image is not showing and sliding is not working as well.
    http://prntscr.com/p513rs

I have another custom built module using Owl Carousel V2 too and working fine when both modules are using the same version. But crashed once Ubertheme Content Slider is in the same page.

#2
Profile photo of ubdev Staff 46660.00 $tone September 12, 2019
Public

Hi there, 
 
Please provide us your site info below, we will check further: 

  • URL and admin credentials of your M2 instance
  • SSH credentials of your M2 instance
  • Let us know the path to your M2 folder
  • And also let us know the frontend block and related configuration of 3rd party module that you mentioned

PS. Please mark your reply private or simply switch this ticket private, then it’s safe to share your site info here. Only you and our technical team can access.
 
Regards,
Ubertheme team

#3
Profile photo of ubdev Staff 46660.00 $tone September 12, 2019
Public

Hi there, 
Please try to move your instance to a staging server where we can take a closer look. Once having the access to your site, we will check and get back to you then.
Regards,
Ubertheme team

#5
Profile photo of ubdev Staff 46660.00 $tone September 13, 2019
Public

Hi there, 

You may check on the JS error info.

We tried to debug and noticed via the browser console that the conflict you mentioned referred to the owlcarousel in your theme NowMe_Indonesia which used the Owl Carousel v2.3.4. Actually, the theme had custom action implementation as indicated in this screenshot: https://prnt.sc/p5hbvb. So, there’s a high chance the conflict was in place between the TabsPro (which used Owl Carousel v2.2.1) and your theme NowMe_Indonesia. 
 
We did test to disable the Tabspro, and our UB Content Slider was working fine.
We also tried to disable the custom tweak of Owl carousel in your 3rd party theme, then clean cache. However, after doing this step, we run across this frontend & backend error: https://prnt.sc/p5hc4u. Then, we tried to deploy in order to fix this issue, another issue occurred as per this screenshot -- https://prnt.sc/p5hccf -- which referred to third-party products Webkul & NowMe.
 
Under this circumstance, you should resolve the issue with deployment as explained above first and deploy once again at your end. Then, you try to disable the Owl Carousel tweak in your theme. 
 
If the conflict still persists, then let us know.
 
 
Regards,
Ubertheme team

#8
Profile photo of kanasaikuat 90.00 $tone September 13, 2019
Public

Hi, those error is because of folder permission after you run on magento setup command. I have already grant permission write back on the generated folder. This has no relevant on the carousel problem. Meanwhile, i can’t disable the caoursel V2 on my theme NowMe_Indonesia, this is because i have other customize module which is using it. That is why i am saying if the same page which has 2 different owl carousel version will crash the ubertheme slider.
It will best if your ubertheme slider able to upgrade the carousel to version 2. 

#9
Profile photo of ubdev Staff 46660.00 $tone September 13, 2019
Public

Hi there, 

We tried to check further into the files / folder permisison (we reupdated those for you), however it seems your sever has special settings. The static files remain Not found at present. Since this associates with your server side issue, please help to check further at your end. 

i can’t disable the caoursel V2 on my theme NowMe_Indonesia, this is because i have other customize module which is using it. That is why i am saying if the same page which has 2 different owl carousel version will crash the ubertheme slider.

As explained in our previous reply, the issue refers more to the conflict between your Tabspro and the NowMe_Indonesia theme, not our UB Content Slider module. 
 
You can try to disable the custom implementation of OWL carousel in the theme to verify that again. 
 
Under this circumstance, if you want to keep such custom implementation, you can consider to switch your theme to use the Owl carousel v2.2.1 instead of the current v2.3.4. 
 
PS1. At present, default Magento 2 allows to apply JS based on the individual context. That’s why our demo instance mentioned in our reply #1 still works well with both Owl carousel v1 and Owl carousel v2 in place. No conflict occurred. 
 
Once you disable temporarily the custom implementation of Owl carousel in your theme, Tabspro and our UB Content Slider should work well. 

PS2. Your current theme is loading owl carousel globally which is not recommended. You can take a look at how Owl Carousel is included in our UB Content Slider -- this approach avoids unexpected conflict like your case.  
 
Regards,
Ubertheme team

#10
Profile photo of kanasaikuat 90.00 $tone September 13, 2019
Public

We have no issue when we have both tabspro and our custom module in the same page. Both are using version 2. Besides, our developer implement the third module which is using the version 2 as well. Still working fine. 
Anyway, is there any consideration to update the ubertheme slider to later version? I just saw  there is an option to select the version of owl carousel on the backend.
http://prntscr.com/p5krq6

#11
Profile photo of ubdev Staff 46660.00 $tone September 13, 2019
Public

Hi there, 
Due to our current high workload, we’re afraid we could not proceed the upgrade to a newer owl carousel library this time. We will take this into consideration in the coming time though. 
Thanks for your understanding.
Regards,
Ubertheme team

#12

Please login or Register to Submit Answer

Written By

Comments